function [corners,locations] = read_corners_txt(filename)

%read miko corners
fid = fopen(filename);
if fid==-1; fprintf('--> File "%s" could not be opened...\n', filename); counts=[];return;end

im_count = fgetl(fid);

number_of_bins      = sscanf(im_count,'%d');
im_count = fgetl(fid);
number_of_corners    = sscanf(im_count,'%d');

corners=zeros(number_of_corners,number_of_bins);
im_count = fgetl(fid);
num_corner=1;

while im_count ~= -1;   
    tmp = sscanf(im_count,'%f');
    corners(num_corner,:)=tmp(6:5+number_of_bins)';
    locations(num_corner,:)=tmp(1:5)';
    im_count = fgetl(fid);
    num_corner=num_corner+1;
end

fclose(fid);