function output_im=change_illuminant(input_im,white_R,white_G,white_B,inverse_flag, rescale_flag,mask)

if(nargin<5)
    inverse_flag=0;
end

if(nargin<6)
    rescale_flag=1;
end


if(nargin<7)
    mask=ones(size(input_im,1),size(input_im,2));
end

som=sqrt(white_R^2+white_G^2+white_B^2);

white_R=white_R/som;
white_G=white_G/som;
white_B=white_B/som;

if(inverse_flag)
    output_im(:,:,1)=input_im(:,:,1)/(white_R*sqrt(3));
    output_im(:,:,2)=input_im(:,:,2)/(white_G*sqrt(3));
    output_im(:,:,3)=input_im(:,:,3)/(white_B*sqrt(3));
else
    output_im(:,:,1)=input_im(:,:,1)*(white_R*sqrt(3));
    output_im(:,:,2)=input_im(:,:,2)*(white_G*sqrt(3));
    output_im(:,:,3)=input_im(:,:,3)*(white_B*sqrt(3));
end

if(rescale_flag==1)
    im2=max(output_im,[],3);
    maxx=max(im2(mask>0));
    output_im=output_im/maxx*255;
    output_im=clip(output_im,0,255);
else if (rescale_flag==2)
     maxx=max(output_im(mask>0));
     if (maxx > 255 * 1.2)
         maxx = 255 * 1.2;
     end
       output_im=output_im/maxx*255;
     else
       output_im=clip(output_im,0,255);
     end
end
